Bug 990904 - Review Request: php-pecl-http1 - Extended HTTP support
Review Request: php-pecl-http1 - Extended HTTP support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 03:43 EDT by Remi Collet
Modified: 2014-01-18 13:18 EST (History)
2 users (show)

See Also:
Fixed In Version: php-pecl-http1-1.7.6-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:38:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (14.86 KB, text/x-log)
2013-12-27 16:46 EST, Shawn Iwinski
no flags Details
fedora-review.txt (9.05 KB, text/plain)
2013-12-27 16:48 EST, Shawn Iwinski
no flags Details
fedora-review.txt (9.05 KB, text/plain)
2013-12-27 16:50 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-08-01 03:43:54 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/4c877dc79e2ee8bf291c1af93a165a862b228c18/php/pecl/php-pecl-http1/php-pecl-http1.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-http1-1.7.6-2.remi.src.rpm
Description: 

The HTTP extension aims to provide a convenient and powerful set of
functionality for major applications.

The HTTP extension eases handling of HTTP URLs, dates, redirects, headers
and messages in a HTTP context (both incoming and outgoing). It also provides
means for client negotiation of preferred language and charset, as well as
a convenient way to exchange arbitrary data with caching and resuming
capabilities.

It provides powerful request functionality, if built with CURL
support. Parallel requests are available for PHP 5 and greater.

Note:
. php-pecl-http1 provides API version 1
. php-pecl-http  provides API version 2


Fedora Account System Username: remi


Target is Fedora and EPEL, and (I know, not yet possible) also SCL for EL5 and EL6
Comment 1 Remi Collet 2013-08-01 03:53:56 EDT
Notice : initially, http v1 was not compatible with recent php version, so I have include http v2 in fedora. But v2 still in "beta" (for 2 years...) and v1 have been updated to work with latest php 5.5, and is still used by some project (ex horde).

So I think it make sense to have both version in Fedora (of course, only one could be installed, so each need to Conflict with the other version).
Comment 2 Remi Collet 2013-10-22 03:14:33 EDT
- cleanups for review (drop SCL and EPEL-5 stuff)
- make installation consistent with "pecl list-files" output

Spec: https://raw.github.com/remicollet/remirepo/2ec1998d7535958222157120f82c91a93cdd460d/php/pecl/php-pecl-http1/php-pecl-http1.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-pecl-http1-1.7.6-3.remi.src.rpm
Comment 3 Shawn Iwinski 2013-12-27 16:46:28 EST
Created attachment 842487 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 4 Shawn Iwinski 2013-12-27 16:48:56 EST
Created attachment 842488 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 990904
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Shawn Iwinski 2013-12-27 16:50:30 EST
Created attachment 842489 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 990904
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Shawn Iwinski 2013-12-27 16:53:59 EST
No blockers.

Last update mentions dropping EPEL-5 but the spec elements are still present.  If not planning EPEL-5 release will need to remove.  No blocker for me though.

=== APPROVED ===
Comment 7 Remi Collet 2013-12-28 00:31:52 EST
Thanks for the review

New Package SCM Request
=======================
Package Name: php-pecl-http1
Short Description: Extended HTTP support
Owners: remi
Branches: f19 f20 el6
InitialCC:
Comment 8 Jens Petersen 2014-01-02 06:54:00 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-01-02 08:23:04 EST
php-pecl-http1-1.7.6-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-http1-1.7.6-4.el6
Comment 10 Fedora Update System 2014-01-02 08:23:13 EST
php-pecl-http1-1.7.6-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pecl-http1-1.7.6-4.fc19
Comment 11 Fedora Update System 2014-01-02 08:23:24 EST
php-pecl-http1-1.7.6-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pecl-http1-1.7.6-4.fc20
Comment 12 Fedora Update System 2014-01-02 18:13:59 EST
php-pecl-http1-1.7.6-4.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2014-01-11 03:38:45 EST
php-pecl-http1-1.7.6-4.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2014-01-11 03:49:45 EST
php-pecl-http1-1.7.6-4.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-01-18 13:18:51 EST
php-pecl-http1-1.7.6-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.